# Delete a session

DELETE /v1/sessions/{id}: Delete a session

```http
DELETE /v1/sessions/{id}
```

|  |  |
|---|---|
| Operation id | `deleteSession` |
| Key scope | `run`: keys that run jobs (and `admin` keys) |
| Section | [Sessions](https://docs.kaab.ist/reference/api#sessions) |

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes | min length 1 |

## Example request

```bash
curl -X DELETE "https://api.kaab.ist/v1/sessions/{id}" \
  -H "Authorization: Bearer $KAAB_API_KEY"
```

## Responses

### 204

Deleted

## Errors

Every error answers with the [error envelope](https://docs.kaab.ist/reference/api/schemas/error-response); its `code` is one of the [error codes](https://docs.kaab.ist/reference/codes#errors).

| Status | When |
|---|---|
| 400 | `request_invalid`: request validation failed |
| 401 | Missing or invalid API key |
| 402 | `insufficient_credits`: top up to continue |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 409 | Conflicting state (see `error.code`) |
| 422 | Semantically invalid request (see `error.code`) |
| 429 | Rate limited; see `Retry-After` |
| 500 | `internal`: unexpected server error |
